---
layout: default
title: Our commitment to open source
description: lakeFS is an open-source project under the Apache 2.0 license, committed to fostering the open-source space. 
nav_order: 53
has_children: false
redirect_from: ./understand/licensing.html
---

# Our commitment to open source

lakeFS is an open-source project under the [Apache 2.0 license](https://www.apache.org/licenses/LICENSE-2.0).
The project was created and is supported by Treeverse, a commercial company founded by engineers passionate about providing solutions to the evolving world of data engineering.

***Why did we choose to open the source of our core capabilities?***

We believe in the bottom-up adoption of technologies.
We believe collaborative communities have the power to bring the best solutions to the community.
We believe that every engineer should be able to use, contribute to, and influence cutting edge technologies, so they can innovate in their domain.

***What is our commitment to open source?***

We created lakeFS, our open-source project, to provide a Git-like interface on top of object stores - so that you can fully take advantage of with any data application at any scale.

For that reason, we commit that the following capabilities are *and will remain* open-source as part of lakeFS:

  - All versioning capabilities,
  - Git-Like interface for the versioning operations,
  - Support for public object store APIs,
  - Integrations with publicly available applications accessing an object store,
  - CLI, API, and GUI interfaces.
  
We also commit to keeping lakeFS scalable in throughput and performance.

We are deeply committed to our [community of engineers](https://lakefs.io/community) who use and contribute to the project. We are and will continue to be highly responsive and shape lakeFS together to provide the data versioning capabilities we are all looking for.

***What is lakeFS Cloud?***

Treeverse offers lakeFS Cloud, which provides all the same benefits of the Git-like interface on top of object stores as a fully-managed service.

The vision behind lakeFS Cloud is to provide a managed data versioning and management solution for data practitioners. lakeFS Cloud will leverage the lakeFS open-source technology, integrate capabilities and unique features, and lead its users to implement best practices.

As part of our commitment to the open source values of transparency and interoperability, we believe everyone should be able to enjoy these benefits, regardless of whether or not they choose to use the managed offering. 

Because of that, we will not intentionally make it harder to build these features independently on top of the open source solution.
